openbsd-ports/www/squid/pkg/INSTALL
brad 98cf57f75b - unconditionally show DEINSTALL message since there is more than just the
config directory that has to be removed
- change a whole bunch of vars in INSTALL from ${FOO} to $FOO so they do
not get substituded and have the substitution occur only once at the top
of the INSTALL script
2000-07-29 00:04:58 +00:00

107 lines
2.9 KiB
Plaintext

#!/bin/sh
# $OpenBSD: INSTALL,v 1.6 2000/07/29 00:04:58 brad Exp $
#
# Pre/post-installation setup of squid
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}
SAMPLE_CONFIG_DIR=$PREFIX/lib/squid
STATEDIR=${STATEDIR}
install -d -o www -g www $STATEDIR
install -d -o www -g www $STATEDIR/logs
install -d -o www -g www $STATEDIR/cache
ln -sf $STATEDIR/logs/squid.pid /var/run/squid.pid
do_notice_conf()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in $CONFIG_DIR have NOT"
echo "| been changed. You may want to compare them to the current samples in"
echo "| $SAMPLE_CONFIG_DIR/conf, and update your configuration files as needed."
echo "+---------------"
}
do_notice_errors_and_icons()
{
echo "+---------------"
echo "| The existing $1 errors and icons in $PREFIX/share/squid have NOT"
echo "| been changed. You may want to compare them to the current samples in"
echo "| $SAMPLE_CONFIG_DIR/errors and $SAMPLE_CONFIG_DIR/icons, and"
echo "| update them as needed."
echo "+---------------"
echo
}
do_install_conf()
{
install -d -o root -g wheel $CONFIG_DIR
install -o root -g wheel $SAMPLE_CONFIG_DIR/conf/squid.conf.sample $CONFIG_DIR/squid.conf
install -o root -g wheel $SAMPLE_CONFIG_DIR/conf/mime.conf.sample $CONFIG_DIR/mime.conf
install -o root -g wheel $SAMPLE_CONFIG_DIR/conf/mib.txt.sample $CONFIG_DIR/mib.txt
echo
echo "+---------------"
echo "| The $1 configuration files have been installed in $CONFIG_DIR."
echo "| Please view these files and change the configuration to meet your needs."
echo "+---------------"
}
do_install_errors_and_icons()
{
install -d -o root -g wheel $PREFIX/share/squid/icons
install -d -o root -g wheel $PREFIX/share/squid/errors
cp -R $SAMPLE_CONFIG_DIR/errors/* $PREFIX/share/squid/errors
cp -R $SAMPLE_CONFIG_DIR/icons/* $PREFIX/share/squid/icons
echo "+---------------"
echo "| The $1 errors and icons have been installed in $PREFIX/share/squid."
echo "| Please view these files and change them to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -d $CONFIG_DIR ]; then
do_install_conf $1
else
if [ ! -f $CONFIG_DIR/squid.conf ]; then
do_install_conf $1
else
do_notice_conf $1
fi
fi
if [ ! -d $PREFIX/share/squid/errors ]; then
do_install_errors_and_icons $1
else
if [ ! -f $PREFIX/share/squid/errors/ERR_TOO_BIG ]; then
do_install_errors_and_icons $1
else
do_notice_errors_and_icons $1
fi
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0